# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Object-HashBase
Version:	0.009
Release:	4.%{__distinit}%{__distvers}
Summary:	Build hash-based classes
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Object-HashBase
Source0:	https://cpan.metacpan.org/modules/by-module/Object/Object-HashBase-%{version}.tar.gz
Patch0:		Object-HashBase-0.008-Normalize-shebang.patch
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::More) >= 0.98
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Temp)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Remove private modules (rpm 4.9 onwards)
# Note: private modules not detected by rpm prior to rpm 4.9
%global __requires_exclude ^perl\\(Object::HashBase::Test::HBase.*

%description
This package is used to generate classes based on hash references. Using this
class will give you a new() method, as well as generating accessors you
request.  Generated accessors will be getters, set_ACCESSOR setters will also
be generated for you. You also get constants for each accessor (all caps)
which return the key into the hash for that accessor. Single inheritance is
also supported.

%package tools
Summary:	Generate inlined Object::HashBase Perl module
Requires:	%{name} = %{version}-%{release}
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Test::More) >= 0.98

%description tools
hashbase_inc.pl script generates a Perl module that contains an
Object::HashBase module mangled into a name space of your choice.
It can also generate the tests for it.

%prep
%setup -q -n Object-HashBase-%{version}

# Correct shellbangs
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%dir %{perl_vendorlib}/Object/
%{perl_vendorlib}/Object/HashBase.pm
%{_mandir}/man3/Object::HashBase.3*

%files tools
%{_bindir}/hashbase_inc.pl
%{perl_vendorlib}/Object/HashBase/
%{_mandir}/man3/Object::HashBase::Inline.3*

%changelog
* Sun Aug  2 2020 Paul Howarth <paul@city-fan.org> - 0.009-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 29 2020 Paul Howarth <paul@city-fan.org> - 0.009-3
- Perl 5.32 rebuild

* Thu Feb  6 2020 Paul Howarth <paul@city-fan.org> - 0.009-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Jan 19 2020 Paul Howarth <paul@city-fan.org> - 0.009-1
- Update to 0.009
  - Add workaround for test issue with Perl ≤ 5.6.2

* Fri Nov 22 2019 Paul Howarth <paul@city-fan.org> - 0.008-2
- Import from Fedora

* Tue Nov 19 2019 Petr Pisar <ppisar@redhat.com> - 0.008-1
- Specfile autogenerated by cpanspec 1.78
